Bug 820025 - unable to create project version if same version name has existed for other projects
unable to create project version if same version name has existed for other p...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Usability (Show other bugs)
1.6-SNAPSHOT
Unspecified Unspecified
unspecified Severity high
: ---
: 1.6-beta-1
Assigned To: Carlos Munoz
Joyce Chang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-08 19:19 EDT by Joyce Chang
Modified: 2013-03-03 22:19 EST (History)
3 users (show)

See Also:
Fixed In Version: Zanata version 1.6.0-alpha-3-SNAPSHOT (20120511-0019).
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-21 20:58:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (149.54 KB, image/png)
2012-05-08 19:21 EDT, Joyce Chang
no flags Details

  None (edit)
Description Joyce Chang 2012-05-08 19:19:34 EDT
Description of problem:
The current behaviour of project version creation doesn't allow to create a project version if same version name has existed for other projects.This should work for any projects creating a version name even if the same name is taken for other projects. 

Version-Release number of selected component (if applicable):
Zanata version 1.6.0-alpha-3-SNAPSHOT (20120509-0019). 

How reproducible:
always

Steps to Reproduce:
1.visit any project and create a version "master"
2.visit another project and create a version "master"
  
Actual results:
Failed to create version "master" for second project.
Return error:Version ID* This slug is not available 

Expected results:

Project version "master" for both projects are created successfully

Additional info:
see attachment
Comment 1 Joyce Chang 2012-05-08 19:21:40 EDT
Created attachment 583081 [details]
screenshot

a screenshot has been added
Comment 2 Carlos Munoz 2012-05-10 01:48:54 EDT
Fixed validation of project version slugs.

See:
https://github.com/zanata/zanata/commit/df2f822da20999eb7f0167356c5cc5860f9dec77
Comment 3 Joyce Chang 2012-05-11 01:33:44 EDT
verified in Zanata version 1.6.0-alpha-3-SNAPSHOT (20120511-0019).

Note You need to log in before you can comment on or make changes to this bug.